Skip Menu |
 

This queue is for tickets about the Crypt-SSLeay CPAN distribution.

Report information
The Basics
Id: 120862
Status: patched
Priority: 0/
Queue: Crypt-SSLeay

People
Owner: nanis [...] runu.moc.invalid
Requestors: DCOLLINS [...] cpan.org
KENTNL [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.72
Fixed in: (no value)



Subject: Makefile.PL fails with no '.' in @INC
Download (untitled) / with headers
text/plain 6.2k
On current bleadperl with PERL_USE_UNSAFE_INC=0: Output from '/home/cpan4/install/bin/perl Makefile.PL': Can't locate inc/IO/Interactive/Tiny.pm in @INC (you may need to install the inc::IO::Interactive::Tiny module) (@INC contains: /tmp/CPAN-Reporter-lib-POew /home/cpan4/install/lib/perl5/site_perl/5.26.0/x86_64-linux-thread-multi-ld /home/cpan4/install/lib/perl5/site_perl/5.26.0 /home/cpan4/install/lib/perl5/5.26.0/x86_64-linux-thread-multi-ld /home/cpan4/install/lib/perl5/5.26.0) at Makefile.PL line 11. BEGIN failed--compilation aborted at Makefile.PL line 11. ------------------------------ PREREQUISITES ------------------------------ Prerequisite modules loaded: configure_requires: Module Need Have ------------------ -------- -------- ExtUtils::CBuilder 0.280205 0.280225 Getopt::Long 0 2.49 Path::Class 0.26 0.37 Try::Tiny 0.19 0.28 ------------------------------ ENVIRONMENT AND OTHER CONTEXT ------------------------------ Environment variables: AUTOMATED_TESTING = 1 HARNESS_OPTIONS = j3 LANG = en_US.UTF-8 PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games PERL = /home/cpan4/install/bin/perl PERL5LIB = PERL5OPT = -I/tmp/CPAN-Reporter-lib-POew -MDevel::Autoflush PERL5_CPANPLUS_IS_RUNNING = 21223 PERL5_CPAN_IS_EXECUTING = /home/cpan4/.cpan/build/Crypt-SSLeay-0.72-0/Makefile.PL PERL5_CPAN_IS_RUNNING = 21223 PERL5_CPAN_IS_RUNNING_IN_RECURSION = 18389,21223 PERL_AUTOINSTALL = --defaultdeps PERL_CR_SMOKER_CURRENT = HTTP-OAIPMH-Validator-1.05 PERL_CR_SMOKER_RUNONCE = 1 PERL_EXTUTILS_AUTOINSTALL = --defaultdeps PERL_MM_USE_DEFAULT = 1 PERL_USE_UNSAFE_INC = 0 SHELL = /bin/bash TERM = putty-256color Perl special variables (and OS-specific diagnostics, for MSWin32): $^X = /home/cpan4/install/bin/perl $UID/$EUID = 1005 / 1005 $GID = 1005 1005 $EGID = 1005 1005 Perl module toolchain versions installed: Module Have ------------------- ---------- CPAN 2.16 CPAN::Meta 2.150010 Cwd 3.67 ExtUtils::CBuilder 0.280225 ExtUtils::Command 7.25_01 ExtUtils::Install 2.04 ExtUtils::MakeMaker 7.25_01 ExtUtils::Manifest 1.70 ExtUtils::ParseXS 3.34 File::Spec 3.67 JSON 2.90 JSON::PP 2.27400_02 Module::Build 0.4222 Module::Signature n/a Parse::CPAN::Meta 2.150010 Test::Harness 3.38 Test::More 1.302073 YAML 1.23 YAML::Syck 1.29 version 0.9917 -- Summary of my perl5 (revision 5 version 26 subversion 0) configuration: Commit id: 1b92e6949b737e92f61827f9c92afce9218e30ba Platform: osname=linux osvers=3.16.0-4-amd64 archname=x86_64-linux-thread-multi-ld uname='linux digitalis 3.16.0-4-amd64 #1 smp debian 3.16.36-1+deb8u2 (2016-10-19) x86_64 gnulinux ' config_args='-Dusedevel -DDEBUGGING -Dusethreads -Duselongdouble -Duse64bitall -Doptimize=-O3 -Dprefix=/home/cpan4/install -Uversiononly -Uman1dir -Uman3dir -des' hint=recommended useposix=true d_sigaction=define useithreads=define usemultiplicity=define use64bitint=define use64bitall=define uselongdouble=define usemymalloc=n default_inc_excludes_dot=define bincompat5005=undef Compiler: cc='cc' ccflags ='-D_REENTRANT -D_GNU_SOURCE -fwrapv -DDEBUGGING -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2' optimize='-O3 -g' cppflags='-D_REENTRANT -D_GNU_SOURCE -fwrapv -DDEBUGGING -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include' ccversion='' gccversion='4.9.2' gccosandvers='' intsize=4 longsize=8 ptrsize=8 doublesize=8 byteorder=12345678 doublekind=3 d_longlong=define longlongsize=8 d_longdbl=define longdblsize=16 longdblkind=3 ivtype='long' ivsize=8 nvtype='long double' nvsize=16 Off_t='off_t' lseeksize=8 alignbytes=16 prototype=define Linker and Libraries: ld='cc' ldflags =' -fstack-protector-strong -L/usr/local/lib' libpth=/usr/local/lib /usr/lib/gcc/x86_64-linux-gnu/4.9/include-fixed /usr/include/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib /lib64 /usr/lib64 libs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc libc=libc-2.19.so so=so useshrplib=false libperl=libperl.a gnulibc_version='2.19' Dynamic Linking: dlsrc=dl_dlopen.xs dlext=so d_dlsymun=undef ccdlflags='-Wl,-E' cccdlflags='-fPIC' lddlflags='-shared -O3 -g -L/usr/local/lib -fstack-protector-strong' Characteristics of this binary (from libperl): Compile-time options: DEBUGGING HAS_TIMES MULTIPLICITY PERLIO_LAYERS PERL_COPY_ON_WRITE PERL_DONT_CREATE_GVSV PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP PERL_OP_PARENT PERL_PRESERVE_IVUV PERL_TRACK_MEMPOOL PERL_USE_DEVEL USE_64_BIT_ALL USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES USE_LOCALE USE_LOCALE_COLLATE USE_LOCALE_CTYPE USE_LOCALE_NUMERIC USE_LOCALE_TIME USE_LONG_DOUBLE USE_PERLIO USE_PERL_ATOF USE_REENTRANT_API Built under linux Compiled at Mar 31 2017 23:44:13 %ENV: PERL="/home/cpan4/install/bin/perl" PERL5LIB="" PERL5OPT="" PERL5_CPANPLUS_IS_RUNNING="21223" PERL5_CPAN_IS_EXECUTING="/home/cpan4/.cpan/build/Crypt-SSLeay-0.72-0/Makefile.PL" PERL5_CPAN_IS_RUNNING="21223" PERL5_CPAN_IS_RUNNING_IN_RECURSION="18389,21223" PERL_AUTOINSTALL="--defaultdeps" PERL_CR_SMOKER_CURRENT="HTTP-OAIPMH-Validator-1.05" PERL_CR_SMOKER_RUNONCE="1" PERL_EXTUTILS_AUTOINSTALL="--defaultdeps" PERL_MM_USE_DEFAULT="1" PERL_USE_UNSAFE_INC="0" @INC: /home/cpan4/install/lib/perl5/site_perl/5.26.0/x86_64-linux-thread-multi-ld /home/cpan4/install/lib/perl5/site_perl/5.26.0 /home/cpan4/install/lib/perl5/5.26.0/x86_64-linux-thread-multi-ld /home/cpan4/install/lib/perl5/5.26.0
Download (untitled) / with headers
text/plain 6.3k
On Mon Apr 03 16:41:46 2017, NANIS wrote: Show quoted text
> Please see https://github.com/nanis/Crypt- > SSLeay/commit/47d31c3295b445eb1eca43d84e1d7e3c801c6b04 > > If you could, please test: > > https://cpan.metacpan.org/authors/id/N/NA/NANIS/Crypt-SSLeay- > 0.73_06.tar.gz
This continues to fail on CPAN with Crypt-SSLeay 0.7306 using PERL_USE_UNSAFE_INC=0: Output from '/home/cpan4/install/bin/perl Makefile.PL': Can't locate inc/IO/Interactive/Tiny.pm in @INC (you may need to install the inc::IO::Interactive::Tiny module) (@INC contains: /tmp/CPAN-Reporter-lib-HSnj /home/cpan4/install/lib/perl5/site_perl/5.26.0/x86_64-linux-thread-multi /home/cpan4/install/lib/perl5/site_perl/5.26.0 /home/cpan4/install/lib/perl5/5.26.0/x86_64-linux-thread-multi /home/cpan4/install/lib/perl5/5.26.0) at Makefile.PL line 11. ------------------------------ PREREQUISITES ------------------------------ Prerequisite modules loaded: configure_requires: Module Need Have ------------------ -------- -------- Devel::CheckLib 1.09 1.09 ExtUtils::CBuilder 0.280205 0.280225 Getopt::Long 0 2.49 ------------------------------ ENVIRONMENT AND OTHER CONTEXT ------------------------------ Environment variables: AUTOMATED_TESTING = 1 HARNESS_OPTIONS = j3 LANG = en_US.UTF-8 PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games PERL = /home/cpan4/install/bin/perl PERL5LIB = PERL5OPT = -I/tmp/CPAN-Reporter-lib-HSnj -MDevel::Autoflush PERL5_CPANPLUS_IS_RUNNING = 4224 PERL5_CPAN_IS_EXECUTING = /home/cpan4/.cpan/build/Crypt-SSLeay-0.73_06-0/Makefile.PL PERL5_CPAN_IS_RUNNING = 4224 PERL5_CPAN_IS_RUNNING_IN_RECURSION = 13578,4224 PERL_AUTOINSTALL = --defaultdeps PERL_CR_SMOKER_CURRENT = Crypt-SSLeay-0.73_06 PERL_CR_SMOKER_RUNONCE = 1 PERL_EXTUTILS_AUTOINSTALL = --defaultdeps PERL_MM_USE_DEFAULT = 1 PERL_USE_UNSAFE_INC = 0 SHELL = /bin/bash TERM = putty-256color Perl special variables (and OS-specific diagnostics, for MSWin32): $^X = /home/cpan4/install/bin/perl $UID/$EUID = 1005 / 1005 $GID = 1005 1005 $EGID = 1005 1005 Perl module toolchain versions installed: Module Have ------------------- ---------- CPAN 2.17 CPAN::Meta 2.150010 Cwd 3.67 ExtUtils::CBuilder 0.280225 ExtUtils::Command 7.24 ExtUtils::Install 2.04 ExtUtils::MakeMaker 7.24 ExtUtils::Manifest 1.70 ExtUtils::ParseXS 3.34 File::Spec 3.67 JSON 2.90 JSON::PP 2.27400_02 Module::Build 0.4222 Module::Signature n/a Parse::CPAN::Meta 2.150010 Test::Harness 3.38 Test::More 1.302079 YAML n/a YAML::Syck 1.29 version 0.9917 -- Summary of my perl5 (revision 5 version 26 subversion 0) configuration: Commit id: 5fc389563644287b3e5f448616ce62dd0ce4e7a6 Platform: osname=linux osvers=3.16.0-4-amd64 archname=x86_64-linux-thread-multi uname='linux digitalis 3.16.0-4-amd64 #1 smp debian 3.16.36-1+deb8u2 (2016-10-19) x86_64 gnulinux ' config_args='-Dusedevel -DDEBUGGING -Dusethreads -Dprefix=/home/cpan4/install -Uversiononly -des' hint=recommended useposix=true d_sigaction=define useithreads=define usemultiplicity=define use64bitint=define use64bitall=define uselongdouble=undef usemymalloc=n default_inc_excludes_dot=define bincompat5005=undef Compiler: cc='cc' ccflags ='-D_REENTRANT -D_GNU_SOURCE -fwrapv -DDEBUGGING -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2' optimize='-O2 -g' cppflags='-D_REENTRANT -D_GNU_SOURCE -fwrapv -DDEBUGGING -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include' ccversion='' gccversion='4.9.2' gccosandvers='' intsize=4 longsize=8 ptrsize=8 doublesize=8 byteorder=12345678 doublekind=3 d_longlong=define longlongsize=8 d_longdbl=define longdblsize=16 longdblkind=3 ivtype='long' ivsize=8 nvtype='double' nvsize=8 Off_t='off_t' lseeksize=8 alignbytes=8 prototype=define Linker and Libraries: ld='cc' ldflags =' -fstack-protector-strong -L/usr/local/lib' libpth=/usr/local/lib /usr/lib/gcc/x86_64-linux-gnu/4.9/include-fixed /usr/include/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib /lib64 /usr/lib64 libs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc libc=libc-2.19.so so=so useshrplib=false libperl=libperl.a gnulibc_version='2.19' Dynamic Linking: dlsrc=dl_dlopen.xs dlext=so d_dlsymun=undef ccdlflags='-Wl,-E' cccdlflags='-fPIC' lddlflags='-shared -O2 -g -L/usr/local/lib -fstack-protector-strong' Characteristics of this binary (from libperl): Compile-time options: DEBUGGING HAS_TIMES MULTIPLICITY PERLIO_LAYERS PERL_COPY_ON_WRITE PERL_DONT_CREATE_GVSV PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP PERL_OP_PARENT PERL_PRESERVE_IVUV PERL_TRACK_MEMPOOL PERL_USE_DEVEL USE_64_BIT_ALL USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES USE_LOCALE USE_LOCALE_COLLATE USE_LOCALE_CTYPE USE_LOCALE_NUMERIC USE_LOCALE_TIME USE_PERLIO USE_PERL_ATOF USE_REENTRANT_API Built under linux Compiled at Apr 4 2017 17:17:49 %ENV: PERL="/home/cpan4/install/bin/perl" PERL5LIB="" PERL5OPT="" PERL5_CPANPLUS_IS_RUNNING="4224" PERL5_CPAN_IS_EXECUTING="/home/cpan4/.cpan/build/Crypt-SSLeay-0.73_06-0/Makefile.PL" PERL5_CPAN_IS_RUNNING="4224" PERL5_CPAN_IS_RUNNING_IN_RECURSION="13578,4224" PERL_AUTOINSTALL="--defaultdeps" PERL_CR_SMOKER_CURRENT="Crypt-SSLeay-0.73_06" PERL_CR_SMOKER_RUNONCE="1" PERL_EXTUTILS_AUTOINSTALL="--defaultdeps" PERL_MM_USE_DEFAULT="1" PERL_USE_UNSAFE_INC="0" @INC: /home/cpan4/install/lib/perl5/site_perl/5.26.0/x86_64-linux-thread-multi /home/cpan4/install/lib/perl5/site_perl/5.26.0 /home/cpan4/install/lib/perl5/5.26.0/x86_64-linux-thread-multi /home/cpan4/install/lib/perl5/5.26.0
Download (untitled) / with headers
text/plain 207b
On Tue Apr 04 23:20:46 2017, DCOLLINS wrote: Show quoted text
> On Mon Apr 03 16:41:46 2017, NANIS wrote:
Try: https://github.com/nanis/Crypt-SSLeay/pull/6 BTW: Nice README in this distro! Thank you very much. Jim Keenan


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.